%define aurox_ver 10.0
%define rel 1


# $Id: kdeartwork.spec,v 1.25 2004/04/07 20:14:33 rexdieter Exp $

%define kdebase_ver 6:%{version}

%define monolithic 1
%define is_release 1 

%define desktop_file 1
%define desktop_file_utils_version 0.2.93


Summary: Additional artwork (themes, sound themes, ...) for KDE
Name: 	 kdeartwork
Group:	 Amusements/Graphics
Epoch:	 0
Version: 3.2.3
Release: %{aurox_ver}.aur.%{rel}
Source:	 ftp://ftp.kde.org/pub/kde/stable/3.2.2/src/kdeartwork-%{version}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch0: kde-libtool.patch

Requires: kdebase >= %{kdebase_ver}
BuildRequires: kdebase-devel >= %{kdebase_ver} 

# dotnet requires qt-windows style, which we now package separately.
#Requires: qt-styles

%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif
BuildRequires: gcc-c++

BuildRequires: xscreensaver 
Requires: xscreensaver 

Obsoletes: plastik < %{epoch}:%{version}-%{release}

%if "%{?monolithic}" == "1"
Obsoletes: %{name}-locolor < %{epoch}:%{version}-%{release} 
Obsoletes: %{name}-screensavers < %{epoch}:%{version}-%{release} 
Obsoletes: %{name}-kworldclock < %{epoch}:%{version}-%{release} 
Provides: %{name}-locolor = %{epoch}:%{version}-%{release} 
Provides: %{name}-screensavers = %{epoch}:%{version}-%{release} 
Provides: %{name}-kworldclock = %{epoch}:%{version}-%{release} 
%endif

%description
Additional artwork (themes, sound themes, ...) for KDE

%package locolor
Summary: Low-color icons for KDE
Group: User Interface/Desktops
%description locolor
Low-color icons for KDE.
Install %{name}-locolor if you intend to use KDE on a display that supports
256 or less colors.

%package screensavers
Summary: Additional screensavers for KDE
Group: User Interface/Desktops
Requires: kdebase => 6:%{version} 
%description screensavers
Additional screensavers for KDE.
kdeartwork-screensavers includes the kbanner, kblob, kbouboule, klines, klorenz,
kmatrix, kmorph3d, kpartsaver, kpipes, kpolygon, kpyro, krock, kscience,
kslidescreen, kslideshow, kspace, kswarm and kvm screensavers.

%package kworldclock
Summary: Themes for KWorldClock
Group: User Interface/Desktops
Requires: kdetoys >= 7:%{version} 
%description kworldclock
Themes for KWorldClock.


%prep

%if "%{is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
  --with-xinerama \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final }

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

for i in `ls $RPM_BUILD_ROOT%{_datadir}/applnk/System/ScreenSavers/*.desktop`; do
   echo "Categories=Qt;KDE;Screensaver;" >> $i
done

#if %{desktop_file}
#mv $RPM_BUILD_ROOT%{_datadir}/applnk/System/ScreenSavers \
#   $RPM_BUILD_ROOT%{_datadir}/apps/kscreensaver/
#endif

%files
%defattr(-,root,root)
%config %{_datadir}/config/*
%{_bindir}/*
%{_libdir}/kde3/plugins/styles/*
%{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_datadir}/apps/kwin/*
%{_datadir}/apps/kstyle/themes/*
%{_datadir}/sounds/*
%{_datadir}/wallpapers/*
%{_datadir}/icons/*
%{_datadir}/apps/kscreensaver/*.png
%{_datadir}/apps/kworldclock/maps/*

#if %{desktop_file}
#%{_datadir}/apps/kscreensaver/ScreenSavers/*.desktop
#else
%{_datadir}/applnk/System/ScreenSavers/*.desktop
#endif

%clean   
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Jul 26 2004 Aurox Team <aurox@aurox.org> 0:3.2.3-10.0.aur.1
- %{version} in url: field used instead of giving exact number
- 3.2.3
- set categories to KDE;Screensaver
- 3.2.2
- move away desktop files

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.2-0.fdr.0
- 3.2.2

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.1-0.fdr.0
- 3.2.1

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.0-0.fdr.0
- 3.2.0

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 0:3.1.95-0.fdr.0
- 3.1.95

* Sun Dec 14 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.94-0.fdr.0
- 3.1.94

* Fri Dec 12 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.4
- dotnet Requires: qt-styles (qt-windows style, in particular)

* Fri Dec 12 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.3
- (temporarily) disable/exclude dotnet style, pending fix (kde bug #70232)

* Mon Dec 08 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.2
- desktop_file=0 for rh73 case.

* Thu Dec 04 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.1
- unconditionally use desktop_file=1 style

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.0
- 3.1.4

* Tue Jul 11 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.3-0.fdr.0
- 3.1.3

* Tue May 27 2003 Rex Dieter <rexdieter at sf.net> 3.1.2-0.fdr.1
- rebuild against new(er) qt.

* Fri May 16 2003 Rex Dieter <rexdieter at sf.net> 3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning.
- add cvs tags to specfile.
- kdeartwork-3.1.2-xscreensaver.patch (kde bug #57630)

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.0
- rebuild for release.

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release.

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.3
- rebuild

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- Requires: xscreensaver, though some screensavers can't be configured
  on rh73 (??). 
- use epochs in Obsoletes/Provides/Requires.

* Mon Feb 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- kde-redhat versioning.

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 3.1-1
- 3.1 release.

* Mon Jan 06 2003 Rex Dieter <rexdieter at sf.net> 3.1-0.rc6.0
- 3.1rc6

* Sat Dec 21 2002 Rex Dieter <rexdieter at sf.net> 3.0.5a-0
- 3.0.5a

* Sun Dec 15 2002 Rex Dieter <rexdieter at sf.net> 3.1-0.rc5.1
- monolithic (optional)
- desktop_file=0 (optional) (more work needed)

* Sat Dec 07 2002 Rex Dieter <rexdieter at sf.net> 3.1-0.rc5.0
- 3.1rc5

* Wed Dec 04 2002 Rex Dieter <rexdieter at sf.net> 3.0.99-1
- 3.0.99 (rc3)
- hmm... some of the screensavers don't appear to work. ??

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- get rid of sub packages

* Wed Nov 13 2002 Rex Dieter <rexdieter at sf.net> 3.0.5-0
- 3.0.5

* Mon Oct 14 2002 Rex Dieter <rexdieter at sf.net> 3.0.4-0.73.1.0
- Add Requires: kdelibs/kdebase >= %%version

* Thu Oct 10 2002 Than Ngo <than@redhat.com> 3.0.4-0.73.1
- 3.0.4

* Mon Sep 30 2002 Than Ngo <than@redhat.com> 3.0.3-0.7.1
- 3.0.3

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Rebuild

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-3
- final

